--- title: "UpdateProductSchema" slug: "management-cloudinsight-updateschema" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-updateschema" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # UpdateProductSchema Available in Classic and VPC Update a user-defined schema. Note Since this is an API that edits the existing user-defined schema that has been registered, product information (product name, product key) about the schema to be updated is required when calling. See [RegisterProductSchema](/docs/en/management-cloudinsight-registerschema) to register a new user-defined schema. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /cw_fea/real/cw/api/schema | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodName` | String | Required | Product name - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `cw_key` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | | `fields` | Array | Required | [User-defined schema](/docs/en/common-vapidatatype-cifielddto) | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "cw_key": "**********", "fields": [ { "counter": false, "dataType": "STRING", "desc": "Dimension test 1 description", "dimension": true, "idDimension": true, "metric": false, "name": "Dimension_test_1" }, { "aggregations": { "Day1": [ "COUNT", "MIN", "AVG", "MAX", "SUM" ], "Min30": [ "COUNT", "MIN", "AVG", "MAX", "SUM" ], "Hour2": [ "COUNT", "MIN", "AVG", "MAX", "SUM" ], "Min5": [ "COUNT", "MIN", "AVG", "MAX", "SUM" ], "Min1": [ "COUNT", "MIN", "AVG", "MAX", "SUM" ] }, "counter": false, "dataType": "FLOAT", "desc": "Metric Test 1 description", "dimension": false, "metric": true, "metricType": "BASIC", "name": "Metric_Test_1" } ], "prodName": "MyProduct_edited", "useCustomResource": true }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `msg` | String | - | Response result message | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "msg": "ok" } ```